Subject: [PATCH 4/4] watchdog: st_wdt: Add new driver for ST's LPC Watchdog

From: [email-masked] (Guenter Roeck)
Date: Thu, 9 Oct 2014 08:59:18 -0700

On Thu, Oct 09, 2014 at 08:17:40AM +0100, Lee Jones wrote:
> On Wed, 08 Oct 2014, Guenter Roeck wrote:
> 
> > On Wed, Oct 08, 2014 at 10:33:30AM +0100, Lee Jones wrote:
> > > Signed-off-by: David Paris <[email-masked]>
> > > Signed-off-by: Lee Jones <[email-masked]>
> > > ---
> > >  drivers/watchdog/Kconfig  |  16 +++
> > >  drivers/watchdog/Makefile |   1 +
> > >  drivers/watchdog/st_wdt.c | 317 ++++++++++++++++++++++++++++++++++++++++++++++
> > >  3 files changed, 334 insertions(+)
> > >  create mode 100644 drivers/watchdog/st_wdt.c
> > > 
> > 
> > Unfortunately (built with W=1):
> > 
> > drivers/watchdog/st_wdt.c: In function 'st_wdog_load_timer':
> > drivers/watchdog/st_wdt.c:114:14: warning: comparison between signed and
> > unsigned integer expressions [-Wsign-compare]
> > drivers/watchdog/st_wdt.c: In function 'st_wdog_remove':
> > drivers/watchdog/st_wdt.c:273:24: error: 'clk' undeclared (first use in this
> > function)
> > 
> > and checkpatch complains a bit: 
> > 
> > WARNING: please, no space before tabs
> > #303: FILE: drivers/watchdog/st_wdt.c:236:
> > +^Ist_wdog->dev ^I^I= &pdev->dev;$
> > 
> > WARNING: please, no space before tabs
> > #304: FILE: drivers/watchdog/st_wdt.c:237:
> > +^Ist_wdog->base ^I^I= base;$
> > 
> > WARNING: please, no space before tabs
> > #306: FILE: drivers/watchdog/st_wdt.c:239:
> > +^Ist_wdog->warm_reset ^I= of_property_read_bool(np, "st,warm_reset");$
> 
> Thanks for taking the time to build this Guenter.  I must profess, the
> recent submissions were delivered hastily, due to other pressing tasks
> and a mountain of email to peruse.  The next submission will be
> subject extensive; build, static analysis and execution testing.
> Sorry to waste your time.
> 
No worries. This is just part of my workflow, and it can happen to all of us.

Guenter